// Get the modal
var modal = document.getElementById("optionsModal");

// Get the button that opens the modal
var btn = document.getElementById("btn_options");

// Get the <span> element that closes the modal
var span = document.getElementsByClassName("close")[0];

// When the user clicks the button, open the modal 
btn.onclick = function() {
  modal.style.display = "block";
}

// When the user clicks on <span> (x), close the modal
span.onclick = function() {
  modal.style.display = "none";
}

// When the user clicks anywhere outside of the modal, close it
window.onclick = function(event) {
  if (event.target == modal) {
    modal.style.display = "none";
  }
}

var slider = document.getElementById("range_dots");
var output = document.getElementById("dotsNumber");
output.innerHTML = slider.value;

slider.oninput = function() {
  output.innerHTML = this.value;
}

function saveOptions() {
    setCookie("dotsAmount",document.getElementById("range_dots").value,30);
    setCookie("displayMode",document.getElementById("displays").value,30);
}